Bug 204532 - Bookmarked smb shares in nautilus don't seem to work in other gnome apps
Bookmarked smb shares in nautilus don't seem to work in other gnome apps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 15:43 EDT by Kevin DeKorte
Modified: 2008-03-26 10:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 10:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2006-08-29 15:43:04 EDT
Description of problem:
gnome-vfs2-smb appears to have some issues. While I can map a drive on the
desktop and browse the files. If I use rhythmbox to add a folder that I created
a link to on the desktop. rhythmbox fails to load the mp3 files. However, if I
create a CIFS map or I move the files to the local disk then it works ok. This
used to work in FC5, it seems broken in rawhide. I know it is broken in T2

Version-Release number of selected component (if applicable):
gnome-vfs2-2.15.92-1.fc6
gnome-vfs2-devel-2.15.92-1.fc6
gnome-vfs2-smb-2.15.92-1.fc6


How reproducible:
100% 

Steps to Reproduce:
1. In nautilus create a bookmark to an smb share on a windows XP box
2. make sure you can browse the files on the share
3. open rhythmbox and select Music->Import Folder and chose the bookmark that
was created in nautilus. Rhythmbox will not import the files.

  
Actual results:
Rhythmbox will import the folder if seen as a local file system, but not if it a
remote bookmarked smb filesystem.

Expected results:
Rhythmbox should import the files and not care if they are local or remote


Additional info:
Comment 1 Alexander Larsson 2006-08-30 08:59:50 EDT
This seems like a rythmbox specific problem. It needs to use gnome-vfs to read
the file. (And set up GnomeAuthenticationManager to support authentication dialogs.)
Comment 2 Marc Schwartz 2006-09-16 00:02:41 EDT
After doing some Google searching tonight for similar issues, I located the
following two reports:

https://launchpad.net/products/libgnomeui/+bug/32873

http://bugzilla.gnome.org/show_bug.cgi?id=319532

which describe behavior that I am experiencing when I have a Nautilus bookmark
set up to a remote SSH connection.

I am getting the prompts for passwords when accessing certain programs,
including Rhythmbox. I also get gnome-panel Properties hangs and notable delays
in the launching of other apps, such as the CGWD themer for Compiz when I am not
connected to the network upon which the SSH connection is located.

If I wait long enough, these apps do eventually come up, but it could be 20
minutes or more.

Using the fix posted in the 4th comment in the Launchpad report, changing
'gnome_vfs' to 'gtk+' in GConf, I can at least now launch the aforementioned
apps without delays. I have not fully tested the other behaviors yet.

From the GNOME Bugzilla report, it would appear that there is a patch available
for this issue upstream. Can that be brought into FC?

Thanks.
Comment 3 Matthias Clasen 2006-09-16 10:13:15 EDT
Hmm, I am not seeing this behaviour with ssh bookmarks. The authentication dialog
only pops up when I click on the bookmark.
Comment 4 Matthias Clasen 2006-09-16 21:35:30 EDT
I was confused, and not actually testing bookmarks, but volumes.
Comment 5 Matthias Clasen 2006-09-19 14:19:35 EDT
gtk2-2.10.3-7 has a number of fixes for handling of remote bookmarks.
Comment 6 Marc Schwartz 2006-09-19 15:10:16 EDT
Matthias, will that be made available for FC5 or will that be a FC6 only component?

Thanks!
Comment 7 Matthias Clasen 2006-09-19 15:19:02 EDT
I don't think I am going to have time for backporting these fixes to 2.8.x
Comment 8 Marc Schwartz 2006-09-19 15:24:52 EDT
OK. Thanks.
Comment 9 Kevin DeKorte 2007-08-29 12:53:11 EDT
This issue appears to be fixed in F7

You can close the bug if you want.

Note You need to log in before you can comment on or make changes to this bug.